# Version SVN: $Id: schema.yml 188 2017-04-30 01:02:29Z sven.poeche $
propel:
  _attributes:              { package: plugins.stYoutubeImportPlugin.lib.model }

  media_youtube:
    _attributes:            { phpName: MediaYoutube, allowPkInsert: true }
    mid:                    { type: integer, size:   11, required: true, primaryKey: true }
    youtube:                { type: varchar, size: 1024, required: true }
    id:                     { type: varchar, size:  255, required: true }
    title:                  { type: varchar, size:  255 }
    description:            { type: longvarchar }
    keywords:               { type: longvarchar }
    thumbnail:              { type: varchar, size: 1024 }
    url:                    { type: varchar, size: 1024 }
    duration:               { type: integer, size:   11 }
    owner:                  { type: varchar, size:  255 }
    related:                { type: boolean, size:    1, required: true, default: false }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }
    _foreignKeys:
      my_fk_mid:            { foreignTable: media, references: [ {local: mid, foreign: mid} ] }
    _indexes:
      my_i_id:              [id]
